aboutsummaryrefslogtreecommitdiff
path: root/network/warvox
diff options
context:
space:
mode:
authorMarco Bonetti <sid77@slackware.it>2010-05-12 23:32:53 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-12 23:32:53 +0200
commit9d3128ccaf04b40859fac62c05a00e900d22535b (patch)
treeabe99c904245be0efdf9fd8a56bf9137dee0f5c9 /network/warvox
parent0d3981844e5bef98c119c1319c8a8967adefb996 (diff)
downloadslackbuilds-9d3128ccaf04b40859fac62c05a00e900d22535b.tar.xz
network/warvox: Added to 12.2 repository
Diffstat (limited to 'network/warvox')
-rw-r--r--network/warvox/README23
-rw-r--r--network/warvox/doinst.sh22
-rw-r--r--network/warvox/rc.warvox30
-rw-r--r--network/warvox/slack-desc19
-rw-r--r--network/warvox/warvox4
-rw-r--r--network/warvox/warvox.SlackBuild93
-rw-r--r--network/warvox/warvox.info8
7 files changed, 199 insertions, 0 deletions
diff --git a/network/warvox/README b/network/warvox/README
new file mode 100644
index 000000000000..afcfc6ae1077
--- /dev/null
+++ b/network/warvox/README
@@ -0,0 +1,23 @@
+WarVOX is a suite of tools for exploring, classifying, and auditing telephone
+systems. Unlike normal wardialing tools, WarVOX works with the actual audio from
+each call and does not use a modem directly. This model allows WarVOX to find
+and classify a wide range of interesting lines, including modems, faxes, voice
+mail boxes, PBXs, loops, dial tones, IVRs, and forwarders. WarVOX provides the
+unique ability to classify all telephone lines in a given range, not just those
+connected to modems, allowing for a comprehensive audit of a telephone system.
+
+This requires iaxclient, lame, and rubygems.
+Once dependencies are in place, open a terminal and, as root, run:
+ # gem install rake sqlite3-ruby mongrel
+and everything should be ready to install WarVOX ;-)
+
+To run WarVOX at startup use something like this in your rc.local:
+
+# Start WarVOX
+if [ -x /etc/rc.d/rc.warvox ]; then
+ /etc/rc.d/rc.warvox start
+fi
+
+and something similar in your rc.local_shutdown to stop the service.
+You can access the web interface at http://127.0.0.1:7777/ or at the port
+specified inside /etc/rc.d/rc.warvox
diff --git a/network/warvox/doinst.sh b/network/warvox/doinst.sh
new file mode 100644
index 000000000000..0c19746d0538
--- /dev/null
+++ b/network/warvox/doinst.sh
@@ -0,0 +1,22 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Keep same perms on rc.warvox.new:
+if [ -e etc/rc.d/rc.warvox ]; then
+ cp -a etc/rc.d/rc.warvox etc/rc.d/rc.warvox.new.incoming
+ cat etc/rc.d/rc.warvox.new > etc/rc.d/rc.warvox.new.incoming
+ mv etc/rc.d/rc.warvox.new.incoming etc/rc.d/rc.warvox.new
+fi
+
+config etc/rc.d/rc.warvox.new
+config etc/warvox.conf.new
+
diff --git a/network/warvox/rc.warvox b/network/warvox/rc.warvox
new file mode 100644
index 000000000000..dd083c09bfdb
--- /dev/null
+++ b/network/warvox/rc.warvox
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+PORT=7777
+PIDFILE="/var/run/warvox/mongrel.pid"
+
+start() {
+ echo "Starting WarVOX: warvox -p ${PORT} -d "
+ warvox -p $PORT -d
+}
+
+stop() {
+ echo "Stopping WarVOX..."
+ kill $(cat $PIDFILE)
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ sleep 1
+ start
+ ;;
+ *)
+ echo "Usage: $0 (start|stop|restart)"
+esac
diff --git a/network/warvox/slack-desc b/network/warvox/slack-desc
new file mode 100644
index 000000000000..d82934ed2fb2
--- /dev/null
+++ b/network/warvox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+warvox: WarVOX (telephone system pentest suite)
+warvox:
+warvox: WarVOX is a suite of tools for exploring, classifying, and auditing
+warvox: telephone systems.
+warvox:
+warvox:
+warvox:
+warvox:
+warvox:
+warvox:
+warvox:
diff --git a/network/warvox/warvox b/network/warvox/warvox
new file mode 100644
index 000000000000..7f3536e4684e
--- /dev/null
+++ b/network/warvox/warvox
@@ -0,0 +1,4 @@
+#!/bin/sh
+( cd /opt/warvox
+ ./bin/warvox.rb $@
+)
diff --git a/network/warvox/warvox.SlackBuild b/network/warvox/warvox.SlackBuild
new file mode 100644
index 000000000000..55ddd0ac1fd5
--- /dev/null
+++ b/network/warvox/warvox.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for WarVOX.
+
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=warvox
+VERSION=${VERSION:-1.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+
+# Install WarVOX
+mkdir -p $PKG/opt/warvox $PKG/etc
+cp -rv {bin,data,docs,etc,lib,web} $PKG/opt/warvox
+mv $PKG/opt/warvox/etc/warvox.conf $PKG/etc/warvox.conf.new
+( cd $PKG/opt/warvox/etc ; ln -s ../../../etc/warvox.conf . )
+
+# Create a "normal" pid directory
+mkdir -p $PKG/var/run/warvox
+( cd $PKG/opt/warvox/web/tmp
+ rm -rf pids
+ ln -s ../../../../var/run/warvox pids
+)
+
+# Install a launcher
+mkdir -p $PKG/usr/bin
+cat $CWD/warvox > $PKG/usr/bin/warvox
+chmod 755 $PKG/usr/bin/warvox
+
+# Install an rc file
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.warvox > $PKG/etc/rc.d/rc.warvox.new
+chmod 0755 $PKG/etc/rc.d/rc.warvox.new
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc
+mv $PKG/opt/warvox/docs $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/opt/warvox ; ln -s ../../usr/doc/$PRGNAM-$VERSION docs )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/warvox/warvox.info b/network/warvox/warvox.info
new file mode 100644
index 000000000000..0f1e5b178375
--- /dev/null
+++ b/network/warvox/warvox.info
@@ -0,0 +1,8 @@
+PRGNAM="warvox"
+VERSION="1.0.1"
+HOMEPAGE="http://warvox.org/"
+DOWNLOAD="http://warvox.org/releases/warvox-1.0.1.tar.gz"
+MD5SUM="5b36ac46dd2a89a2037eb5be46209f9b"
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="rworkman"